<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:16 CET 2009 -->
<TITLE>
Overview
</TITLE>

<META NAME="keywords" CONTENT="Overview">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Overview";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Overview</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>polco</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/package-summary.html">ch.javasoft.polco</A></B></TD>
<TD>The <tt>polco</tt> package contains interfaces to represent a polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/impl/package-summary.html">ch.javasoft.polco.impl</A></B></TD>
<TD>The <tt>polco.impl</tt> package contains default implementations for the
polyhedral cone interfaces defined in the parent package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/xenum/package-summary.html">ch.javasoft.polco.xenum</A></B></TD>
<TD>The <tt>polco.xenum</tt> package contains interfaces and classes associated with
the extreme ray enumeration algorithm.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>polco-main</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/adapter/package-summary.html">ch.javasoft.polco.adapter</A></B></TD>
<TD>The <tt>polco.adapter</tt> package contains the 
<A HREF="ch/javasoft/polco/adapter/PolcoAdapter.html" title="class in ch.javasoft.polco.adapter"><CODE>PolcoAdapter</CODE></A> class acting as an
interface to the <A HREF="ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main"><CODE>polco</CODE></A> program 
if it is used as a library from another Java program.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A></B></TD>
<TD>The <tt>polco.config</tt> package contains classes associated with the XML
configuration file used to control runtime options of the polco program.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/main/package-summary.html">ch.javasoft.polco.main</A></B></TD>
<TD>The <tt>polco.main</tt> package contains the 
<A HREF="ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main"><CODE>Polco</CODE></A> program with the 
<A HREF="ch/javasoft/polco/main/Polco.html#main(java.lang.String[])"><CODE>main</CODE></A> method to start it from
the command line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/metabolic/package-summary.html">ch.javasoft.polco.metabolic</A></B></TD>
<TD>The <tt>polco.metabolic</tt> package contains classes that implement the
<A HREF="ch/javasoft/polco/xenum/ExtremeRayEnumerator.html" title="interface in ch.javasoft.polco.xenum"><CODE>ExtremeRayEnumerator</CODE></A> 
interface using the EFM algorithm.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>polco-parse</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/cdd/parser/package-summary.html">ch.javasoft.cdd.parser</A></B></TD>
<TD>The <tt>cdd.parser</tt> package contains a parser for polyhedral cones 
definitions stored in <tt>.ine</tt>or <tt>.ext</tt> files; the cones are 
represented by <u>ine</u>equalities <u>ext</u>reme rays and points, and the 
parsed matrix data can be converted into arrays of different number types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/parse/package-summary.html">ch.javasoft.polco.parse</A></B></TD>
<TD>The <tt>polco.parse</tt> package contains different input format parsers and 
factories for those parsers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/parse/util/package-summary.html">ch.javasoft.polco.parse.util</A></B></TD>
<TD>The <tt>polco.parse.util</tt> package contains utility classes used by parsers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polymake/parse/package-summary.html">ch.javasoft.polymake.parse</A></B></TD>
<TD>The <tt>polymake.parse</tt> package contains classes to parse polymake 
(<tt>.poly</tt>) files.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>polco-callback</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/callback/package-summary.html">ch.javasoft.polco.callback</A></B></TD>
<TD>The <tt>polco.callback</tt> package and subpackages contain callback and factory
classes for different output formats.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/callback/hdf5/package-summary.html">ch.javasoft.polco.callback.hdf5</A></B></TD>
<TD>The <tt>polco.callback.hdf5</tt> package contains callback and factory classes
to produce HDF5 output files (<tt>.mat</tt> files).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/callback/matlab/package-summary.html">ch.javasoft.polco.callback.matlab</A></B></TD>
<TD>The <tt>polco.callback.matlab</tt> package contains callback and factory classes
to produce MATLAB&trade; output files (<tt>.mat</tt> files).</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>polco-transform</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/polco/transform/package-summary.html">ch.javasoft.polco.transform</A></B></TD>
<TD>The <tt>polco.transform</tt> package contains classes to transform between 
different polyhedral cone representations.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A></B></TD>
<TD>The <tt>metabolic</tt> package contains interfaces for metabolic networks; 
subpackages contain default implementations or interfaces and helper classes
related to such networks.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A></B></TD>
<TD>The <tt>compartment</tt> subpackage contains implementations for 
compartmentalized <A HREF="ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A></B></TD>
<TD>The <tt>impl</tt> subpackage contains implementations for the interfaces of the
<A HREF="ch/javasoft/metabolic/package-summary.html"><CODE>metabolite</CODE></A> package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/util/package-summary.html">ch.javasoft.metabolic.util</A></B></TD>
<TD>The <tt>util</tt> subpackage contains utility classes related to
<A HREF="ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-efm</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/package-summary.html">ch.javasoft.metabolic.efm</A></B></TD>
<TD>The <tt>efm</tt> package and subpackages contain classes for the computation of
elementary modes (EFMs) for <A HREF="ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks; 
<A HREF="ch/javasoft/metabolic/efm/ElementaryFluxModes.html" title="class in ch.javasoft.metabolic.efm"><CODE>ElementaryFluxModes</CODE></A> 
provides different methods to invoke computation from a java program, classes 
for command line invocation are contained in the
<A HREF="ch/javasoft/metabolic/efm/main/package-summary.html"><CODE>main</CODE></A> subpackage.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/config/package-summary.html">ch.javasoft.metabolic.efm.config</A></B></TD>
<TD>The <tt>config</tt> subpackage provides interfaces suited to control (configure)
the EFM computation process.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/main/package-summary.html">ch.javasoft.metabolic.efm.main</A></B></TD>
<TD>The <tt>main</tt> subpackage contains the the 
<A HREF="ch/javasoft/metabolic/efm/main/CalculateFluxModes.html" title="class in ch.javasoft.metabolic.efm.main"><CODE>CalculateFluxModes</CODE></A>
class with the <tt>main</tt> method to start the tool from the command line.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-efm-impl</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></B></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/column/filter/package-summary.html">ch.javasoft.metabolic.efm.column.filter</A></B></TD>
<TD>The <tt>column.filter</tt> subpackage defines a 
<A HREF="ch/javasoft/metabolic/efm/column/filter/ColumnFilter.html" title="interface in ch.javasoft.metabolic.efm.column.filter"><CODE>filter</CODE></A> interface 
and implementations representing different filtering strategies to sort out
undesired columns.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/concurrent/package-summary.html">ch.javasoft.metabolic.efm.concurrent</A></B></TD>
<TD>The <tt>concurrent</tt> subpackage provides interfaces and classes used for
multi-threaded concurrent computation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/impl/package-summary.html">ch.javasoft.metabolic.efm.impl</A></B></TD>
<TD>The <tt>impl</tt> package and subpackages contain the actual implementation of
the algorithm to compute elementary modes (EFMs).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/memory/package-summary.html">ch.javasoft.metabolic.efm.memory</A></B></TD>
<TD>The <tt>memory</tt> package and subpackages contain methods for the abstraction
of storage for intermediary modes (or 
<A HREF="ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>columns</CODE></A>); the 
<A HREF="ch/javasoft/metabolic/efm/memory/incore/package-summary.html"><CODE>incore</CODE></A> subpackage implements
interfaces provided in this package to store modes <i>in core</i> memory, 
classes in the <A HREF="ch/javasoft/metabolic/efm/memory/outcore/package-summary.html"><CODE>outcore</CODE></A> 
subpackage support storage on disk.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/memory/incore/package-summary.html">ch.javasoft.metabolic.efm.memory.incore</A></B></TD>
<TD>The <tt>memory.incore</tt> package contains classes supporting efm computation 
<i>in-core</i>, that is keeping all intermediary modes in memory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/memory/outcore/package-summary.html">ch.javasoft.metabolic.efm.memory.outcore</A></B></TD>
<TD>The <tt>memory.outcore</tt> package contains classes supporting efm computation 
<i>out-of-core</i> memory, meaning that intermediary modes are stored on disk.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/model/package-summary.html">ch.javasoft.metabolic.efm.model</A></B></TD>
<TD>The <tt>model</tt> package and subpackages defines interfaces and provides
default classes for the support of different algorithm variants.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/model/canonical/package-summary.html">ch.javasoft.metabolic.efm.model.canonical</A></B></TD>
<TD>The <tt>model.canonical</tt> subpackage implements the canonical approach, the 
original method to compute elementary modes introduced by Schuster <i>et al.</i>
(see [1], for an overview and implementation details also [2], [3]).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/model/nullspace/package-summary.html">ch.javasoft.metabolic.efm.model.nullspace</A></B></TD>
<TD>The <tt>model.nullspace</tt> subpackage implements the nullspace approach
introduced by Wagner (see [1], for an overview and implementation details also
[2], [3]).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/progress/package-summary.html">ch.javasoft.metabolic.efm.progress</A></B></TD>
<TD>The <tt>progress</tt> package contains classes and interfaces allowing to gather
progress information during the enumeration process of elementary modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/sort/package-summary.html">ch.javasoft.metabolic.efm.sort</A></B></TD>
<TD>The <tt>sort</tt> package contains classes implementing different sort 
strategies, for instance to sort the rows of the initial kernel matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A></B></TD>
<TD>The <tt>util</tt> package contains utility and helper classes for different
aspects and parts of the <A HREF="ch/javasoft/metabolic/efm/package-summary.html"><CODE>efm</CODE></A> packages, that 
is, for the computation of elementary modes (EFMs) for 
<A HREF="ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-efm-adj</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/package-summary.html">ch.javasoft.metabolic.efm.adj</A></B></TD>
<TD>The <tt>adj</tt> package and subpackages contain classes implementing different
strategies for the enumeration of adjacent modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/package-summary.html">ch.javasoft.metabolic.efm.adj.incore</A></B></TD>
<TD>The <tt>adj.incore</tt> package and subpackages contain classes for adjacency 
enumeration strategies which are performed <i>in-core</i>, that is, necessary
data structures are kept in memory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree</A></B></TD>
<TD>The <tt>adj.incore.tree</tt> package and subpackages contain classes 
implementing different bit pattern tree versions; all those trees are stored 
in-core (in memory).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/rank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.rank</A></B></TD>
<TD>The <tt>adj.incore.tree.rank</tt> package contains classes using the trees for 
the recursive enumeration of adjacent rays, but perform <i>pure</i> rank 
computations (no rank updating) to test for adjacency.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/search/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.search</A></B></TD>
<TD>The <tt>adj.incore.tree.search</tt> package contains classes using the trees for 
recursive enumeration of adjacent rays, but also for an indexed search to 
perform the combinatorial adjacency test.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank</A></B></TD>
<TD>The <tt>adj.incore.tree.urank</tt> package contains classes using the trees for 
the recursive enumeration of adjacent rays, using the <i>lazy rank updating</i>
approach to test for adjacency.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl</A></B></TD>
<TD>The <tt>adj.incore.tree.urank.dbl2</tt> uses double precision arithmetic for the
rank updating procedure, without copying of partly triangularized matrices</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2</A></B></TD>
<TD>The <tt>adj.incore.tree.urank.dbl</tt> uses double precision arithmetic for the
rank updating procedure, with copying of partly triangularized matrices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac</A></B></TD>
<TD>The <tt>adj.incore.tree.urank.frac</tt> uses fractional arithmetic for the
rank updating procedure, without copying of partly triangularized matrices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2</A></B></TD>
<TD>The <tt>adj.incore.tree.urank.frac2</tt> uses fractional arithmetic for the
rank updating procedure, with copying of partly triangularized matrices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/modp/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp</A></B></TD>
<TD>The <tt>adj.incore.tree.urank.modp</tt> uses long integer residue arithmetic 
for the rank updating procedure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/adj/incore/tree/urank/modpi/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.modpi</A></B></TD>
<TD>The <tt>adj.incore.tree.urank.modp</tt> uses integer residue arithmetic for the
rank updating procedure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/rankup/package-summary.html">ch.javasoft.metabolic.efm.rankup</A></B></TD>
<TD>The <tt>rankup</tt> package and subpackages contain classes and interfaces 
implementing the <i>lazy rank updating</i> method to enumerate adjacent modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/rankup/modpi/package-summary.html">ch.javasoft.metabolic.efm.rankup.modpi</A></B></TD>
<TD>The <tt>rankup.modpi</tt> package contains classes implementing the 
<i>lazy rank updating</i> method to enumerate adjacent modes using residue 
arithmetic, modulo a large 32bit integer prime number, typically 
<tt>32,749</tt>, the largest prime below <tt>&radic;(Integer.MAX_VALUE/2)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/package-summary.html">ch.javasoft.metabolic.efm.tree</A></B></TD>
<TD>The <tt>tree</tt> package and subpackages contain classes implementing different 
bit pattern tree versions; the trees are stored in-core (in memory) or
out-of-core (for instance on disk), and they can be used in combination with any 
adjacency test method.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/concurrent/package-summary.html">ch.javasoft.metabolic.efm.tree.concurrent</A></B></TD>
<TD>The <tt>tree.concurrent</tt> package contains classes for the concurrent
implementation of the <i>recursive enumeration</i> of adjacent modes based on
bit pattern trees; concurrent here means parallelized within the same java
virtual machine using multiple threads.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/impl/package-summary.html">ch.javasoft.metabolic.efm.tree.impl</A></B></TD>
<TD>The <tt>tree.impl</tt> package contains default implementations for the 
interfaces defined in the <A HREF="ch/javasoft/metabolic/efm/tree/package-summary.html"><CODE>tree package</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/incore/package-summary.html">ch.javasoft.metabolic.efm.tree.incore</A></B></TD>
<TD>The <tt>tree.incore</tt> package contains classes implementing an in-core 
version of the bit pattern tree, meaning that the tree is stored in (core) 
memory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/outcore/package-summary.html">ch.javasoft.metabolic.efm.tree.outcore</A></B></TD>
<TD>The <tt>tree.outcore</tt> package contains classes implementing an out-of-core 
version of the bit pattern tree, meaning that the tree is stored in files 
(core of core memory).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/rankup/package-summary.html">ch.javasoft.metabolic.efm.tree.rankup</A></B></TD>
<TD>The <tt>tree.rankup</tt> package contains classes for the 
<i>lazy rank updating</i> approach based on bit pattern trees.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/tree/search/package-summary.html">ch.javasoft.metabolic.efm.tree.search</A></B></TD>
<TD>The <tt>tree.rankup</tt> package contains classes for the 
<i>lazy rank updating</i> approach based on bit pattern trees.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-efm-output</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/output/package-summary.html">ch.javasoft.metabolic.efm.output</A></B></TD>
<TD>The <tt>output</tt> package and subpackages contain classes and interfaces to 
define the desired output behavior for elementary modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/output/mat/package-summary.html">ch.javasoft.metabolic.efm.output.mat</A></B></TD>
<TD>The <tt>output.mat</tt> package contains classes and interfaces to related to
MATLAB EFM output, that is, to produce one or multiple MATLAB .mat file(s) for
the EFMs in a memory efficient manner.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/output/text/package-summary.html">ch.javasoft.metabolic.efm.output.text</A></B></TD>
<TD>The <tt>output.text</tt> package contains classes related to textual EFM output.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-efm-borndie</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/package-summary.html">ch.javasoft.metabolic.efm.borndie</A></B></TD>
<TD>The <tt>efm.borndie</tt> package and subpackages contain classes related to the
<A HREF="ch/javasoft/metabolic/efm/borndie/BornDieDoubleDescriptionImpl.html" title="class in ch.javasoft.metabolic.efm.borndie"><CODE>born/die</CODE></A>
implementation of the <i>double description method</i>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/debug/package-summary.html">ch.javasoft.metabolic.efm.borndie.debug</A></B></TD>
<TD>The <tt>efm.borndie.debug</tt> package contains debugging helper classes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/job/package-summary.html">ch.javasoft.metabolic.efm.borndie.job</A></B></TD>
<TD>The <tt>efm.borndie.job</tt> package contains classes and interfaces related
to pairing jobs.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/matrix/package-summary.html">ch.javasoft.metabolic.efm.borndie.matrix</A></B></TD>
<TD>The <tt>efm.borndie.matrix</tt> package contains classes and interfaces related
to the born/die matrix and to cell stages.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/memory/package-summary.html">ch.javasoft.metabolic.efm.borndie.memory</A></B></TD>
<TD>The <tt>efm.borndie.memory</tt> package contains extensions of classes from the 
<A HREF="ch/javasoft/metabolic/efm/memory/package-summary.html"><CODE>ch.javasoft.metabolic.efm.memory</CODE></A> package used by the born/die algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/model/package-summary.html">ch.javasoft.metabolic.efm.borndie.model</A></B></TD>
<TD>The <tt>efm.borndie.model</tt> package contains an extension of the
<A HREF="ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace"><CODE>nullspace model</CODE></A>
specialized for the born/die algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/borndie/range/package-summary.html">ch.javasoft.metabolic.efm.borndie.range</A></B></TD>
<TD>The <tt>efm.borndie.range</tt> package contains classes and interfaces defining
different cell ranges, meaning a collection of cells from the born/die matrix.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-efm-dist</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/dist/package-summary.html">ch.javasoft.metabolic.efm.dist</A></B></TD>
<TD>The <tt>dist</tt> package and subpackages contain interfaces and classes for 
<i>distributed computation</i> of elementary modes, that is, 
for the computation on multiple hosts like on a cluster computer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A></B></TD>
<TD>The <tt>dist.impl</tt> package and subpackages contain classes implementing 
strategies for <i>distributed computation</i> of elementary modes, that is, 
for the computation on multiple hosts like on a cluster computer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/dist/impl/adj/package-summary.html">ch.javasoft.metabolic.efm.dist.impl.adj</A></B></TD>
<TD>The <tt>impl.dist.adj</tt> package contains classes implementing adjacency 
enumeration strategies for <i>distributed computation</i>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/dist/impl/file/package-summary.html">ch.javasoft.metabolic.efm.dist.impl.file</A></B></TD>
<TD>The <tt>dist.impl.file</tt> package contains classes for file a based
implementation to distribute data structures needed for parallel computation.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-parse & generate</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/convert/package-summary.html">ch.javasoft.metabolic.convert</A></B></TD>
<TD>The <tt>convert</tt> package contains tools to convert various metabolic network 
source file formats into SBML or MATLAB files.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/fa/package-summary.html">ch.javasoft.metabolic.fa</A></B></TD>
<TD>The <tt>fa</tt> package contains information to to parse <i>FluxAnalyzer</i>
files, the predecessor of <i>CellNetAnalyzer</i>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/generate/package-summary.html">ch.javasoft.metabolic.generate</A></B></TD>
<TD>The <tt>generate</tt> package contains classes supporting the generation of
different output formats for metabolic networks.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/parse/package-summary.html">ch.javasoft.metabolic.parse</A></B></TD>
<TD>The <tt>parse</tt> package and subpackages contain classes implementing 
parsers for different source formats used for metabolic networks.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/parse/junit/package-summary.html">ch.javasoft.metabolic.parse.junit</A></B></TD>
<TD>The <tt>parse.junit</tt> package contains an abstract test class for JUnit 
tests; subclasses can define metabolic networks in a JUnit test method, however,
these networks can be used like any other metabolic network source through 
<A HREF="ch/javasoft/metabolic/parse/JUnitTestCaseParser.html" title="class in ch.javasoft.metabolic.parse"><CODE>JUnitTestCaseParser</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/sbml/package-summary.html">ch.javasoft.metabolic.sbml</A></B></TD>
<TD>The <tt>sbml</tt> package contains information to to parse SBML files.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-compress</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A></B></TD>
<TD>The <tt>compress</tt> package and subpackages contain classes implementing 
compression strategies and consistency validation for metabolic networks.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/compress/config/package-summary.html">ch.javasoft.metabolic.compress.config</A></B></TD>
<TD>The <tt>compress.config</tt> package contains classes to parse 
<i>xml-configuration</i> for compression.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/compress/generate/package-summary.html">ch.javasoft.metabolic.compress.generate</A></B></TD>
<TD>The <tt>compress.generate</tt> package contains classes extending standard
<A HREF="ch/javasoft/metabolic/generate/package-summary.html"><CODE>generate</CODE></A> classes with functionality to
export compression information.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>metabolic-sample</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/metabolic/efm/sample/package-summary.html">ch.javasoft.metabolic.efm.sample</A></B></TD>
<TD>The <tt>efm.sample</tt> package contains classes exemplifying the use of the
<A HREF="ch/javasoft/metabolic/efm/package-summary.html"><CODE>efm</CODE></A> tool within java; the source code of the
samples is included in the documentation (click on class or interface name to
to view source).</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-core</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/io/package-summary.html">ch.javasoft.io</A></B></TD>
<TD>The <tt>io</tt> package contains input/output classes; these classes have a
more or less strong relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/package-summary.html"><CODE>java.io</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/lang/package-summary.html">ch.javasoft.lang</A></B></TD>
<TD>The <tt>lang</tt> package contains extensions and helpers related to
the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/package-summary.html"><CODE>java.lang</CODE></A> package; 
they have a more or less strong relation to classes and interfaces from
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/package-summary.html"><CODE>java.lang</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/lang/management/package-summary.html">ch.javasoft.lang.management</A></B></TD>
<TD>The <tt>lang.management</tt> package contains extensions and helpers related to
the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/management/package-summary.html"><CODE>java.lang.management</CODE></A> package; 
they have a more or less strong relation to classes and interfaces from
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/management/package-summary.html"><CODE>java.lang.management</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/lang/reflect/package-summary.html">ch.javasoft.lang.reflect</A></B></TD>
<TD>The <tt>lang.reflect</tt> package contains extensions and helpers related to
the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/package-summary.html"><CODE>java.lang.reflect</CODE></A> package; 
they have a more or less strong relation to classes and interfaces from
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/reflect/package-summary.html"><CODE>java.lang.reflect</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/tool/package-summary.html">ch.javasoft.tool</A></B></TD>
<TD>The <tt>tool</tt> package contains tools, meaning command line executables 
consisting of one or a few classes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/package-summary.html">ch.javasoft.util</A></B></TD>
<TD>The <tt>util</tt> package and subpackages contain utility classes; these classes 
have a more or less strong relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/package-summary.html"><CODE>java.util</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/concurrent/package-summary.html">ch.javasoft.util.concurrent</A></B></TD>
<TD>The <tt>util.concurrent</tt> package contains classes commonly useful in
multi-threaded concurrent programming; these classes have a more or less strong 
relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/package-summary.html"><CODE>java.util.concurrent</CODE></A>.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-bitset</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/bitset/package-summary.html">ch.javasoft.bitset</A></B></TD>
<TD>The <tt>bitset</tt> package contains classes for different <i>bitset</i> 
implementations; a bitset is a binary implementation of a set, similar to 
Java's own <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util"><CODE>BitSet</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/bitset/search/package-summary.html">ch.javasoft.bitset.search</A></B></TD>
<TD>The <tt>bitset.search</tt> package and subpackages contain classes and 
interfaces related to subset and superset searching in a collection of 
<A HREF="ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset"><CODE>bit sets</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/bitset/search/tree/package-summary.html">ch.javasoft.bitset.search.tree</A></B></TD>
<TD>The <tt>bitset.search.tree</tt> package contains classes and interfaces 
implementing subset and superset searching with bit pattern trees.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-collection</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/ints/package-summary.html">ch.javasoft.util.ints</A></B></TD>
<TD>The <tt>util.ints</tt> package contains collection classes where the objects
of interest are integers (primitive or boxed); these classes 
use and extend java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>collection</CODE></A> framework.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/longs/package-summary.html">ch.javasoft.util.longs</A></B></TD>
<TD>The <tt>util.longs</tt> package contains collection classes where the objects
of interest are long integers (primitive or boxed); these classes 
use and extend java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>collection</CODE></A> framework.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A></B></TD>
<TD>The <tt>util.map</tt> package contains extensions to the standard java 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A>, for instance, maps which support multiple values per key 
(see <A HREF="ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A>); these classes use and extend 
java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><CODE>collection</CODE></A> framework.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-numeric</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/package-summary.html">ch.javasoft.math</A></B></TD>
<TD>The <tt>math</tt> package and subpackages adds numeric types and concepts, like 
<A HREF="ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>big fraction numbers</CODE></A> or 
<A HREF="ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>generic number operations</CODE></A> 
including support for common Java <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>number</CODE></A> types; 
these classes have a more or less strong relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/package-summary.html"><CODE>java.math</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A></B></TD>
<TD>The <tt>math.array</tt> package and subpackages contain interfaces and classes 
for generic vectors and matrices represented as arrays.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A></B></TD>
<TD>The <tt>math.array.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/array/parse/package-summary.html">ch.javasoft.math.array.parse</A></B></TD>
<TD>The <tt>math.array.parse</tt> package contains a parser for matrix data that is
stored in a tab-separated text file; the parsed matrix data can be converted 
into arrays of different number types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/array/sort/package-summary.html">ch.javasoft.math.array.sort</A></B></TD>
<TD>The <tt>math.array.sort</tt> package contains classes to sort rows or columns
of numeric matrices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A></B></TD>
<TD>The <tt>math.linalg</tt> package and subpackages contain interfaces and classes 
for linear algebra operations involving vectors and matrices; vectors and 
matrices are generically represented as arrays.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/linalg/impl/package-summary.html">ch.javasoft.math.linalg.impl</A></B></TD>
<TD>The <tt>math.linalg.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/operator/package-summary.html">ch.javasoft.math.operator</A></B></TD>
<TD>The <tt>math.operator</tt> package and subpackages contain interfaces and 
classes to support different generic operators for numbers as defined by the
<A HREF="ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/operator/compose/package-summary.html">ch.javasoft.math.operator.compose</A></B></TD>
<TD>The <tt>math.operator.compose</tt> package contains implementations of number
operators resulting from the composition of existing operators into a new 
operator; these classes are for instance extensively used by the 
<A HREF="ch/javasoft/math/array/ExpressionComposer.html" title="class in ch.javasoft.math.array"><CODE>ExpressionComposer</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A></B></TD>
<TD>The <tt>math.operator.impl</tt> package contains default implementations of the 
<A HREF="ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface for 
different number types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/ops/package-summary.html">ch.javasoft.math.ops</A></B></TD>
<TD>The <tt>math.ops</tt> package contains implementations of
<A HREF="ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A> for different number
types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/varint/package-summary.html">ch.javasoft.math.varint</A></B></TD>
<TD>The <tt>math.varint</tt> package contains classes for a new integer number 
similar to Java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A>; however, varint 
classes use integer or long operations whenever possible and default to the 
much slower big integer arithmetic only if necessary.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A></B></TD>
<TD>The <tt>math.varint.array</tt> package contains varint support for generic 
vectors and matrices represented as arrays (see <A HREF="ch/javasoft/math/array/package-summary.html"><CODE>ch.javasoft.math.array</CODE></A>).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/math/varint/ops/package-summary.html">ch.javasoft.math.varint.ops</A></B></TD>
<TD>The <tt>math.varint.ops</tt> package contains varint support for 
<A HREF="ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A>
(see <A HREF="ch/javasoft/math/ops/package-summary.html"><CODE>ch.javasoft.math.ops</CODE></A>).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/numeric/package-summary.html">ch.javasoft.util.numeric</A></B></TD>
<TD>The <tt>util.numeric</tt> package contains utility classes around numbers, such
as rounding, greatest common divisor and other numeric functions.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-logging</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/logging/package-summary.html">ch.javasoft.util.logging</A></B></TD>
<TD>The <tt>util.logging</tt> package contains classes related to logging; they are
using and extending Java's <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/package-summary.html"><CODE>logging</CODE></A> framework.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/logging/matlab/package-summary.html">ch.javasoft.util.logging.matlab</A></B></TD>
<TD>The <tt>util.logging.matlab</tt> package contains configuration classes 
associated with the logging classes from the parent package; these specific 
configuration classes have been used as MATLAB workaround since the custom class 
loader associated with the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/LogManager.html" title="class or interface in java.util.logging"><CODE>LogManager</CODE></A> does 
not see custom logging classes.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-job</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/job/package-summary.html">ch.javasoft.job</A></B></TD>
<TD>The <tt>job</tt> package contains classes for the execution of 
<A HREF="ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>jobs</CODE></A>, something similar to Java's 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>runnable</CODE></A>, but adding support for return values and
exception handling; they can be processed in the current
thread, in its own thread or even in an own system process 
(see <A HREF="ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>).</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>javasoft-others</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/junit/textui/package-summary.html">ch.javasoft.junit.textui</A></B></TD>
<TD>The <tt>junit.textui</tt> package contains classes extending 
<A HREF="http://junit.org/junit/javadoc/4.5/junit/textui/package-summary.html"><CODE>junit.textui</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/swing/package-summary.html">ch.javasoft.swing</A></B></TD>
<TD>The <tt>swing</tt> package contains swing gui components; these classes have a
more or less strong relation to those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/javax/swing/package-summary.html"><CODE>javax.swing</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/util/genarr/package-summary.html">ch.javasoft.util.genarr</A></B></TD>
<TD><i>Deprecated</i> &mdash; the <tt>util.genarr</tt> package contains classes 
implementing array-like classes for generic element types.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>simple-matrix</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/exception/package-summary.html">ch.javasoft.smx.exception</A></B></TD>
<TD>The <tt>smx.exception</tt> package contains exceptions for the <code>smx</code>
packages.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></B></TD>
<TD>The <tt>smx.iface</tt> package contains interfaces representing matrices for
different number types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A></B></TD>
<TD>The <tt>smx.impl</tt> package contains classes implementing the interfaces
defined in <A HREF="ch/javasoft/smx/iface/package-summary.html"><CODE>iface</CODE></A> package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A></B></TD>
<TD>The <tt>smx.ops</tt> package contains classes for mathematical operations with
matrices, such as <A HREF="ch/javasoft/smx/ops/Neg.html" title="class in ch.javasoft.smx.ops"><CODE>negation</CODE></A>,
<A HREF="ch/javasoft/smx/ops/Transpose.html" title="class in ch.javasoft.smx.ops"><CODE>transposition</CODE></A>,
<A HREF="ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><CODE>matrix multiplication</CODE></A> or different linear 
algebra methods based on <A HREF="ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops"><CODE>Gaussian elimination</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/ops/ext/package-summary.html">ch.javasoft.smx.ops.ext</A></B></TD>
<TD><i>Deprecated</i> &mdash; the <tt>smx.ops.ext</tt> package contains abstract 
base classes for external implementations of matrix operations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/ops/jlapack/package-summary.html">ch.javasoft.smx.ops.jlapack</A></B></TD>
<TD><i>Deprecated</i> &mdash; the <tt>smx.ops.jlapack</tt> package contains classes
implementing <A HREF="ch/javasoft/smx/ops/ext/ExternalOpsImpl.html" title="class in ch.javasoft.smx.ops.ext"><CODE>ExternalOpsImpl</CODE></A>
using a Java implementation of the <code>LAPACK</code> numeric library.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/ops/matrix/package-summary.html">ch.javasoft.smx.ops.matrix</A></B></TD>
<TD>The <tt>smx.ops.matrix</tt> package contains classes implementing
<A HREF="ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops"><CODE>MatrixOperations</CODE></A> for matrices of
different number types</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/ops/mt/package-summary.html">ch.javasoft.smx.ops.mt</A></B></TD>
<TD><i>Deprecated</i> &mdash; the <tt>smx.ops.mt</tt> package contains classes
implementing <A HREF="ch/javasoft/smx/ops/ext/ExternalOpsImpl.html" title="class in ch.javasoft.smx.ops.ext"><CODE>ExternalOpsImpl</CODE></A>
using the <code>mt</code> numeric library.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/ops/sscc/package-summary.html">ch.javasoft.smx.ops.sscc</A></B></TD>
<TD><i>Deprecated</i> &mdash; the <tt>smx.ops.sscc</tt> package contains classes
implementing <A HREF="ch/javasoft/smx/ops/ext/ExternalOpsImpl.html" title="class in ch.javasoft.smx.ops.ext"><CODE>ExternalOpsImpl</CODE></A>
using the <code>ru.sscc.matrix</code> numeric library.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/smx/util/package-summary.html">ch.javasoft.smx.util</A></B></TD>
<TD>The <tt>smx.util</tt> package contains helper classes for the <code>smx</code>
packages.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>jbase</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jbase/package-summary.html">ch.javasoft.jbase</A></B></TD>
<TD>The <tt>jbase</tt> package and subpackages contain classes and interfaces for a 
simple Java database; the database does not support transactions or optimization
techniques like indexing, supported operations include <i>reading</i>, 
<i>appending</i>, <i>updating</i> and <i>removing</i> of elements of a 
<A HREF="ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase"><CODE>Table</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jbase/concurrent/package-summary.html">ch.javasoft.jbase.concurrent</A></B></TD>
<TD>The <tt>jbase.concurrent</tt> package contains classes for concurrent use of
<A HREF="ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase"><CODE>Table</CODE></A> instances; multiple read operations are
supported concurrently, write access requires exclusive table access.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jbase/marshal/package-summary.html">ch.javasoft.jbase.marshal</A></B></TD>
<TD>The <tt>jbase.marshal</tt> package contains marshaller implementations for 
common object types such as <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang"><CODE>strings</CODE></A> or 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>number</CODE></A> types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jbase/util/package-summary.html">ch.javasoft.jbase.util</A></B></TD>
<TD>The <tt>jbase.util</tt> package contains utility classes such as
<A HREF="ch/javasoft/jbase/util/CachedTableWeakReference.html" title="class in ch.javasoft.jbase.util"><CODE>cached tables</CODE></A> or the
<A HREF="ch/javasoft/jbase/util/Tables.html" title="class in ch.javasoft.jbase.util"><CODE>Tables</CODE></A> utilities with methods similar to
those in <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collections.html" title="class or interface in java.util"><CODE>Collections</CODE></A> like synchronizing or 
conversion to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util"><CODE>lists</CODE></A>.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>jsmat</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jsmat/package-summary.html">ch.javasoft.jsmat</A></B></TD>
<TD>The <tt>jsmat</tt> package and subpackages contain classes to write MATLAB
<code>.mat</code> files in a memory efficient manner.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jsmat/common/package-summary.html">ch.javasoft.jsmat.common</A></B></TD>
<TD>The <tt>jsmat.common</tt> package contains internal classes defining types,
classes and flags used to store matlab data.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jsmat/primitive/package-summary.html">ch.javasoft.jsmat.primitive</A></B></TD>
<TD>The <tt>jsmat.primitive</tt> package contains internal classes for the handling
of raw MATLAB types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/jsmat/variable/package-summary.html">ch.javasoft.jsmat.variable</A></B></TD>
<TD>The <tt>jsmat.variable</tt> package contains variables of different types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="com/jmatio/common/package-summary.html">com.jmatio.common</A></B></TD>
<TD>The <tt>jmatio.common</tt> package contains classes of the JMatIO library, which
supports reading and writing Matlab's binary MAT-files.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="com/jmatio/io/package-summary.html">com.jmatio.io</A></B></TD>
<TD>The <tt>jmatio.io</tt> package contains classes of the JMatIO library, which
supports reading and writing Matlab's binary MAT-files.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="com/jmatio/types/package-summary.html">com.jmatio.types</A></B></TD>
<TD>The <tt>jmatio.types</tt> package contains classes of the JMatIO library, which
supports reading and writing Matlab's binary MAT-files.</TD>
</TR>
</TABLE>

<P>
&nbsp;
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>xml-config</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/factory/package-summary.html">ch.javasoft.factory</A></B></TD>
<TD>The <tt>factory</tt> package contains interfaces and classes for generic
factories.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/xml/config/package-summary.html">ch.javasoft.xml.config</A></B></TD>
<TD>The <tt>xml.config</tt> package contains classes to handle xml-based 
configuration files.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="20%"><B><A HREF="ch/javasoft/xml/factory/package-summary.html">ch.javasoft.xml.factory</A></B></TD>
<TD>The <tt>xml.factory</tt> package contains interfaces and classes for factories
based on XML configuration files.</TD>
</TR>
</TABLE>

<P>
&nbsp;<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Overview</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
